mscorlib 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(true)

RegistryHive values are used by the method to represent the top-level node of a requested key on a foreign (remote) machine. The node that can be opened with the OpenRemoteBaseKey method must be one of these top-level RegistryKeys. Further access to the subkeys of the identified node is available using using methods in , so long as the the user has appropriate permission.

Represents the possible values for a top-level node on a foreign machine.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.RegistryHive

  Represents the HKEY_CLASSES_ROOT base key on another computer. This value can be passed to the method, to open this node remotely.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.RegistryHive

  Represents the HKEY_CURRENT_CONFIG base key on another computer. This value can be passed to the method, to open this node remotely.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.RegistryHive

  Represents the HKEY_CURRENT_USER base key on another computer. This value can be passed to the method, to open this node remotely.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.RegistryHive

  Represents the HKEY_DYN_DATA base key on another computer. This value can be passed to the method, to open this node remotely.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.RegistryHive

  Represents the HKEY_LOCAL_MACHINE base key on another computer. This value can be passed to the method, to open this node remotely.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.RegistryHive

  Represents the HKEY_PERFORMANCE_DATA base key on another computer. This value can be passed to the method, to open this node remotely.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Microsoft.Win32.RegistryHive

  Represents the HKEY_USERS base key on another computer. This value can be passed to the method, to open this node remotely.